import sharp from 'sharp';
import type { Plugin } from 'vite';
/**
 * vite-plugin-image-to-webp
 *
 * The plugin will after building, convert all jpg, jpeg and png files to webp.
 * (It will also replace the image urls neccessary)
 *
 *
 * How it works: (to be honest, quite crude)
 * - after building
 * - in dist folder:
 *   - search for all jpg, jpeg and png files
 *   - convert those files into webp (and delete the originals)
 *   - search for the original image names in all html, css and js files
 *     - replace the original names with the new ones
 *
 */
interface ImageToWebpPluginOptions {
    imageFormats?: string[];
    webpQuality?: sharp.WebpOptions;
    destinationFolder?: string;
}
export declare function imageToWebpPlugin(options?: ImageToWebpPluginOptions): Plugin;
export {};
